#include "RecognitionInfo.h"

RecognizedInfo::RecognizedInfo(){
    
}
RecognizedInfo::RecognizedInfo(const QString& plate,  qint64 time,
                               QString color)
    : licensePlate(plate),
      recognizeTime(time),
      color(color)
{
}
// Getter 方法
QString RecognizedInfo::getLicensePlate()  {
    return licensePlate;
}

qint64 RecognizedInfo::getRecognizeTime()  {
    return recognizeTime;
}

QString RecognizedInfo::getColor(){
    return color;
}
// Setter 方法
void RecognizedInfo::setLicensePlate(const QString& plate) {
    this->licensePlate = plate;
}

void RecognizedInfo::setRecognizeTime(qint64 time) {
    this->recognizeTime = time;
}

void RecognizedInfo::setColor(QString &color){
    this->color=color;
}
RecognizedInfo::~RecognizedInfo(){
    
}
